Record an embedded signup event
POST
/v1/waba/signup-eventAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonad_account_idsstring[] | nullAd account IDs
business_idstringBusiness ID
current_stepstringCurrent signup step
error_idstringError ID if any
error_messagestringError message if any
eventstringrequiredSignup event type
min length 1
page_idsstring[] | nullPage IDs
phone_number_idstringPhone number ID
session_idstringSession ID
waba_idstringWABA ID
Responses
201Created
statusstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/waba/signup-event" \
-H "Content-Type: application/json" \
-d '{
"ad_account_ids": [
"string"
],
"business_id": "string",
"current_step": "string",
"error_id": "string",
"error_message": "string",
"event": "string",
"page_ids": [
"string"
],
"phone_number_id": "string",
"session_id": "string",
"waba_id": "string"
}'const response = await fetch("/v1/waba/signup-event", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"ad_account_ids": [
"string"
],
"business_id": "string",
"current_step": "string",
"error_id": "string",
"error_message": "string",
"event": "string",
"page_ids": [
"string"
],
"phone_number_id": "string",
"session_id": "string",
"waba_id": "string"
})
});import requests
response = requests.post(
"/v1/waba/signup-event",
headers={
"Content-Type": "application/json"
},
json={
"ad_account_ids": [
"string"
],
"business_id": "string",
"current_step": "string",
"error_id": "string",
"error_message": "string",
"event": "string",
"page_ids": [
"string"
],
"phone_number_id": "string",
"session_id": "string",
"waba_id": "string"
},
)Response
{
"status": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}